//CFTTAudio_SoundPlayer - [2020-04-13 11:57:46]
#ifndef _CFTTAUDIO_SOUNDPLAYER_H_
#define _CFTTAUDIO_SOUNDPLAYER_H_

#include "common.h"
#include "CFTTAudio_Patch.h"
#include "CAndroidBQPlayer.h"
#include "CFTTAudio_StreamHandler.h"
/*
001FA4D8  CFTTAudio_SoundPlayer::ReleasePlayer()
001FAB94  CFTTAudio_SoundPlayer::SetVolume(float)
001FABE0  CFTTAudio_SoundPlayer::SetPitch(float)
001FAC18  CFTTAudio_SoundPlayer::PlayPatch(CFTTAudio_Patch *,bool)
001FAC9C  CFTTAudio_SoundPlayer::Stop()
001FACF4  CFTTAudio_SoundPlayer::Play(float,bool)
001FAD70  CFTTAudio_SoundPlayer::Pause()
001FADAC  CFTTAudio_SoundPlayer::Resume()
001FC0CC  CFTTAudio_SoundPlayer::PlatformStop()
001FC100  CFTTAudio_SoundPlayer::PlatformPlay()
001FC170  CFTTAudio_SoundPlayer::PlatformSetVolume(float)
001FC194  CFTTAudio_SoundPlayer::PlatformSetPitch(float)
001FC2A0  CFTTAudio_SoundPlayer::PlatformPause()
001FC2B8  CFTTAudio_SoundPlayer::PlatformResume()
*/

class CFTTAudio_SoundPlayer {
public:
  void ReleasePlayer();                     //001FA4D8
  void SetVolume(float);                    //001FAB94
  void SetPitch(float);                     //001FABE0
  void PlayPatch(CFTTAudio_Patch *, bool);  //001FAC18
  void Stop();                              //001FAC9C
  void Play(float, bool);                   //001FACF4
  void Pause();                             //001FAD70
  void Resume();                            //001FADAC
  int PlatformStop();                      //001FC0CC
  int PlatformPlay();                      //001FC100
  void PlatformSetVolume(float);            //001FC170
  void PlatformSetPitch(float);             //001FC194
  void PlatformPause();                     //001FC2A0
  void PlatformResume();                    //001FC2B8

  uchar field_0;									
  uchar field_1;
  uchar field_2;
  uchar field_3;
  float volume_4;	// ÒôÁ¿.text:001FABC0                 VSTR            S16, [R4,#4]
  char field_8;		//.text:001FAD16                 STRB            R7, [R4,#8]
  char field_9;
  char field_A;
  char field_B;
  CFTTAudio_Patch* audioPatch_C;				//text:001FA672                 STR             R7, [R5,#0xC]
  struct CFTTAudio_StreamHandler * streamHandler_10;
 
  CAndroidBQPlayer* slAudioItf_14 = NULL;  //ÏñÊÇCAndroidBQPlayer
  CFTTAudio_SoundPlayer* * soundPlayer_18;
  int field_1C;   //text:001D1FAC                 LDR             R2, [R0,#0x1C]
};

#endif  //_CFTTAUDIO_SOUNDPLAYER_H_